APICRMContactsUpdate Contact
Update Contact
Partially update a CRM contact. Only fields present in the body are changed. Setting disposition also sets lastWorkDate to now. Send companyId or ownerId as null to clear them. Changing email to one already used in your organization returns 409. Runs lead_status_changed, disposition_changed or contact_updated CRM workflows and returns the updated contact; _workflowDebug lists the workflows that ran.
Created: September 16, 2026
Updated: September 16, 2026
Overview
PUT
https://dashboard.vinsi.ai/api/crm/contacts/{contactId}
Request
Headers
Content-Typestring
x-api-keystring
Params
contactIdstring
Example: 1042
Request Body
{25 items
"firstName":string"Alex"
"lastName":string"Morgan"
"email":string"alex.morgan@example.com"
"phone":string"+15555550142"
"ext":string""
"email2":string""
"phone2":string""
"phone2Ext":string""
"phone3":string""
"phone3Ext":string""
"title":string"Office Manager"
"company":string"Acme Dental"
"companyId":int318
"leadStatus":string"Contacted"
"type":string"lead"
"source":string"Website"
"disposition":string"Callback Requested"
"ownerId":string"cmexampleuser0000000000001"
"address":string"100 Main St"
"city":string"San Diego"
"state":string"CA"
"zip":string"92101"
"country":string"US"
"notes":string"Asked for a callback next week..."
"isUnsubscribed":boolfalse
}
Response
{36 items
"id":int1042
"organizationId":string"cmexampleorg00000000000001"
"firstName":string"Alex"
"lastName":string"Morgan"
"email":string"alex.morgan@example.com"
"phone":string"+15555550142"
"company":string"Acme Dental"
"leadStatus":string"Contacted"
"type":string"lead"
"source":string"Website"
"notes":string"Asked for a callback next week..."
"ownerId":string"cmexampleuser0000000000001"
"createdAt":string"2026-09-10T17:22:57.000Z"
"updatedAt":string"2026-09-16T16:40:00.000Z"
"ext":string""
"disposition":string"Callback Requested"
"lastWorkDate":string"2026-09-16T16:40:00.000Z"
"state":string"CA"
"phone2":string""
"phone2Ext":string""
"phone3":string""
"phone3Ext":string""
"title":string"Office Manager"
"isUnsubscribed":boolfalse
"unsubscribedAt":null
"email2":string""
"companyId":int318
"address":string"100 Main St"
"city":string"San Diego"
"zip":string"92101"
"country":string"US"
"avatarUrl":null
"phoneNorm":string"5555550142"
"phone2Norm":null
"phone3Norm":null
"_workflowDebug":[]0 items
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
PUT
Headers
Content-Type: *
x-api-key: *
Params
contactId: *
Response
No response yet. Click Send to test the API.